Debian Bug report logs - #212895
Debian Official Use Logo (non-free) in webmin

version graph

Package: webmin; Maintainer for webmin is (unknown);

Reported by: Patrick Herzig <patrick54@herzig.lu>

Date: Fri, 26 Sep 2003 18:18:02 UTC

Severity: serious

Tags: patch

Found in version 0.94-7woody1

Fixed in version webmin/1.110-1

Done: jaldhar@debian.org (Jaldhar H. Vyas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jaldhar@debian.org (Jaldhar H. Vyas):
Bug#212895; Package webmin. Full text and rfc822 format available.

Acknowledgement sent to Patrick Herzig <patrick54@herzig.lu>:
New Bug report received and forwarded. Copy sent to jaldhar@debian.org (Jaldhar H. Vyas). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Herzig <patrick54@herzig.lu>
To: submit@bugs.debian.org
Subject: Debian Official Use Logo (non-free) in webmin
Date: Fri, 26 Sep 2003 20:08:29 +0200
Package: webmin
Version: 0.94-7woody1

Problem: Webmin contains the Debian Official Use Logo (non-free, the one
with the bottle) and displays it in Webmin's interface.

Solution: Replace the Debian Official Use Logo (non-free) by the Debian
Open Use Logo (the Swirl without the bottle, free).

Information on the logo policies and licenses is at:
http://www.debian.org/logos/






Reply sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patrick Herzig <patrick54@herzig.lu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 212895-done@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Patrick Herzig <patrick54@herzig.lu>, 212895-done@bugs.debian.org
Subject: Re: Bug#212895: Debian Official Use Logo (non-free) in webmin
Date: Fri, 26 Sep 2003 16:04:21 -0400 (EDT)
On Fri, 26 Sep 2003, Patrick Herzig wrote:

> Package: webmin
> Version: 0.94-7woody1
>
> Problem: Webmin contains the Debian Official Use Logo (non-free, the one
> with the bottle) and displays it in Webmin's interface.
>
> Solution: Replace the Debian Official Use Logo (non-free) by the Debian
> Open Use Logo (the Swirl without the bottle, free).
>
> Information on the logo policies and licenses is at:
> http://www.debian.org/logos/
>

I'm closing this bug because it is just too silly.  If a Debian package
isn't an official use of Debian then what is?  Maybe I should take out all
references to Debian because it is a trademark of SPI and can't be used to
describe RedHat CDs.  That's non-free right?

If you really insist, you can reopen the bug but I'd advise you to find a
more productive use such as fixing some of the real bugs which are holding
up the sarge release.

-- 
Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/



Information forwarded to debian-bugs-dist@lists.debian.org, jaldhar@debian.org (Jaldhar H. Vyas):
Bug#212895; Package webmin. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to jaldhar@debian.org (Jaldhar H. Vyas). Full text and rfc822 format available.

Message #15 received at 212895@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 212895@bugs.debian.org
Subject: Official Logo is not DFSG Free (with patch)
Date: Fri, 3 Oct 2003 13:20:18 -0700
[Message part 1 (text/plain, inline)]
reopen 212895
tag 212895 patch
severity 212895 serious
thanks

I'm reopening this bug because the official logo is non-free. [It
fails multiple parts of the DFSG, including #1, #3, #6, #8... the list
goes on.] As such, it should not be included in any package in main
[which is why its inclusion is a serious bug.]

I've attached a patch that replaces the official logo with the
unnoficial one. In case you're wondering, here is a recent link to
-legal involving the DFSG non-freeness of the logo.

http://lists.debian.org/debian-legal/2003/debian-legal-200309/msg00837.html

[The original discussion of the logo license is here:
http://lists.debian.org/debian-legal/1999/debian-legal-199902/msg00088.html]


Don Armstrong

-- 
"There are two major products that come out of Berkeley: LSD and UNIX.
We don't believe this to be a coincidence."
 -- Jeremy S. Anderson

http://www.donarmstrong.com
http://www.anylevel.com
http://rzlab.ucr.edu
[open_logo_patch.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jaldhar@debian.org (Jaldhar H. Vyas):
Bug#212895; Package webmin. Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to jaldhar@debian.org (Jaldhar H. Vyas). Full text and rfc822 format available.

Message #26 received at 212895@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Don Armstrong <don@donarmstrong.com>, 212895@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#212895: Official Logo is not DFSG Free (with patch)
Date: Fri, 3 Oct 2003 17:28:47 -0400 (EDT)
On Fri, 3 Oct 2003, Don Armstrong wrote:

close  212895
thanks

>
> I'm reopening this bug because the official logo is non-free. [It
> fails multiple parts of the DFSG, including #1, #3, #6, #8... the list
> goes on.]

The list is irrelevant as the applicability of the Debian Free _Software_
guidelines to graphical images is even more dubious than its applicability
to documentation.

>  As such, it should not be included in any package in main
> [which is why its inclusion is a serious bug.]
>
> I've attached a patch that replaces the official logo with the
> unnoficial one. In case you're wondering, here is a recent link to
> -legal involving the DFSG non-freeness of the logo.
>
> http://lists.debian.org/debian-legal/2003/debian-legal-200309/msg00837.html
>

Sorry but one or two peoples personal opinions do not make Debian policy.

> [The original discussion of the logo license is here:
> http://lists.debian.org/debian-legal/1999/debian-legal-199902/msg00088.html]
>

...which resulted in the current mess of a logo license.  I didn't find
much enlightenment there.

I am closing this bug again for the same reason I closed it initially.
Like treating the bubonic plague by giving the victim a hanky, you are
trying to cure a minor symptom instead of the cause.  The logo license is
ambiguous.

|1. This logo may only be used if:

Is modification a use?  How about removal?  It says under the license
text, "Permission has been given to use the official logo on clothing
(shirts, hats, etc)"  If a Jewish person is wearing a Debian t-shirt when
he hears of the death of a close relative, is he allowed to rend his
garment?

|
|    * the product it is used for is made using a documented procedure as
|      published on www.debian.org (for example official CD-creation)

Check.  See http://www.debian.org/doc/manuals/maint-guide/

Or does packages creation not count?  If so, why?

|    * official approval is given by Debian for its use in this purpose

Check.  I'm "Debian" as much as anyone else and I give myself approval.

Or is only the DPL or other offical meant?  If so, why?

|2. May be used if an official part of debian (decided using the rules in I)
|   is part of the complete product,

Check: See http://packages.debian.org/unstable/admin/packages.html

|  if it is made clear that only this part is officially approved

Uh you may have got me there.  Easily solved by putting an extra two lines
in the copyright file.

|3. We reserve the right to revoke a license for a product


If you are really interested in being useful, get this fixed before the
sarge release or get the official logo yanked altogether (unless there is
a reason a non-free logo can be used on webpages and not packages.)  In
any case, opening bugs against packages at this time is unwarranted.

-- 
Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/



Bug closed, send any further explanations to Patrick Herzig <patrick54@herzig.lu> Request was from "Jaldhar H. Vyas" <jaldhar@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jaldhar@debian.org (Jaldhar H. Vyas):
Bug#212895; Package webmin. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to jaldhar@debian.org (Jaldhar H. Vyas). Full text and rfc822 format available.

Message #33 received at 212895@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org
Cc: 212895@bugs.debian.org, "Jaldhar H. Vyas" <jaldhar@debian.org>
Subject: Re: Bug#212895: Official Logo is not DFSG Free (with patch)
Date: Sat, 4 Oct 2003 18:26:06 -0500
[Message part 1 (text/plain, inline)]
On Sat, Oct 04, 2003 at 01:46:15PM -0400, Glenn Maynard wrote:
> Hmm.  Your mailer is honoring MFT, but not sending it: you CC'd
> Jaldhar, but didn't maintain him in the MFT.  Might be a good thing to
> fix, so other people don't get blamed for CCing someone due to a third
> party dropping the header.  :)
> 
> On Sat, Oct 04, 2003 at 05:16:54PM +0300, Richard Braakman wrote:
> > > People have asked "why isn't the official use logo DFSG-free?" on
> > 
> > As far as I remember, the conclusion has always been "It should be;
> > we're inappropriately using copyrights to enforce a trademark restriction".
> > 
> > We could instead leave the logo unencumbered by copyright, so that
> > people can derive their own logos from it, while enforcing our trademark,
> > so that people aren't allowed to use it to create confusion between
> > their work and ours.
> 
> Thanks for the clarification.
> 
> However, I'd wonder how a logo with a trademark-enforced restriction of
> "unauthorized projects only" or similar would be DFSG-free?  I'd suppose
> it would fall under the "if you change this, change the name" allowances;
> "if you change this product, change the logo".  I'm not sure if that's
> free, though.

I agree with Richard; I think we should leave the Open Use logo
basically unencumbered by copyright (or bust it down to a MIT/X11-ish
copyright so that the person who designed the logo remains credited),
and maybe by trademark as well.  We probably don't want to do either
with the Official Logo.

The important point to me is that *we simply don't know the Debian OS is
going to be used, modified, or redistributed*.  It is therefore *not
appropriate* for us to distribute the Official Logo in the Debian OS
itself.

If we do care how people are going use, modify or redistribute the
Debian OS, then we need to scrap the Social Contract entirely.

But I thought that we're supposed to be about freedom.

[ I will also note that the Open Use Debian logo was used for a while to
symbolize "Chechnya Updates" at www.mujahedeen-news.com.  (I think the
site has been defunct for a long time -- but it wasn certainly our logo
as the image filename retained the string "debian"!) ]

-- 
G. Branden Robinson                |     I am only good at complaining.
Debian GNU/Linux                   |     You don't want me near your code.
branden@debian.org                 |     -- Dan Jacobson
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, jaldhar@debian.org (Jaldhar H. Vyas):
Bug#212895; Package webmin. Full text and rfc822 format available.

Acknowledgement sent to Glenn Maynard <g_deb@zewt.org>:
Extra info received and forwarded to list. Copy sent to jaldhar@debian.org (Jaldhar H. Vyas). Full text and rfc822 format available.

Message #38 received at 212895@bugs.debian.org (full text, mbox):

From: Glenn Maynard <g_deb@zewt.org>
To: debian-legal@lists.debian.org
Cc: 212895@bugs.debian.org, "Jaldhar H. Vyas" <jaldhar@debian.org>
Subject: Re: Bug#212895: Official Logo is not DFSG Free (with patch)
Date: Sat, 4 Oct 2003 20:52:05 -0400
On Sat, Oct 04, 2003 at 06:26:06PM -0500, Branden Robinson wrote:
> > > > People have asked "why isn't the official use logo DFSG-free?" on
> > > 
> > > As far as I remember, the conclusion has always been "It should be;
> > > we're inappropriately using copyrights to enforce a trademark restriction".
> > > 
> > > We could instead leave the logo unencumbered by copyright, so that
> > > people can derive their own logos from it, while enforcing our trademark,
> > > so that people aren't allowed to use it to create confusion between
> > > their work and ours.
> > 
> > Thanks for the clarification.
> > 
> > However, I'd wonder how a logo with a trademark-enforced restriction of
> > "unauthorized projects only" or similar would be DFSG-free?  I'd suppose
> > it would fall under the "if you change this, change the name" allowances;
> > "if you change this product, change the logo".  I'm not sure if that's
> > free, though.
> 
> I agree with Richard; I think we should leave the Open Use logo
> basically unencumbered by copyright (or bust it down to a MIT/X11-ish
> copyright so that the person who designed the logo remains credited),
> and maybe by trademark as well.  We probably don't want to do either
> with the Official Logo.

I'm confused.

I interpreted Richard as saying that the Official Logo could be unrestricted
by copyright, with the only restrictions on its use being made under
trademark law, and that doing so could render it DFSG-free while still
preserving its function.  I didn't quite understand how those restrictions
could be free.  You seem to be disagreeing with Richard, saying that we
probably want the Official Logo to be restricted by both copyright and
trademark.

(I agree that the Official Logo is inherently non-free, and that the
Open Use Logo should be under a simple, permissive license.)

-- 
Glenn Maynard



Information forwarded to debian-bugs-dist@lists.debian.org, jaldhar@debian.org (Jaldhar H. Vyas):
Bug#212895; Package webmin. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to jaldhar@debian.org (Jaldhar H. Vyas). Full text and rfc822 format available.

Message #43 received at 212895@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org
Cc: 212895@bugs.debian.org
Subject: Re: Bug#212895: Official Logo is not DFSG Free (with patch)
Date: Sun, 5 Oct 2003 01:54:10 -0500
[Message part 1 (text/plain, inline)]
On Sat, Oct 04, 2003 at 08:52:05PM -0400, Glenn Maynard wrote:
> On Sat, Oct 04, 2003 at 06:26:06PM -0500, Branden Robinson wrote:
[...]
> > I agree with Richard; I think we should leave the Open Use logo
[...]
> I'm confused.
> 
> I interpreted Richard as saying that the Official Logo could be unrestricted
[...]

Well, then maybe I don't agree with Richard.  Whatever; is the rest of
my mail clear?

-- 
G. Branden Robinson                |    Somebody once asked me if I thought
Debian GNU/Linux                   |    sex was dirty.  I said, "It is if
branden@debian.org                 |    you're doing it right."
http://people.debian.org/~branden/ |    -- Woody Allen
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from "Jaldhar H. Vyas" <jaldhar@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from "Jaldhar H. Vyas" <jaldhar@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge-ignore Request was from "Jaldhar H. Vyas" <jaldhar@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge-ignore Request was from Adam Warner <lists@consulting.net.nz> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to jaldhar@debian.org (Jaldhar H. Vyas):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patrick Herzig <patrick54@herzig.lu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #56 received at 212895-close@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: 212895-close@bugs.debian.org
Subject: Bug#212895: fixed in webmin 1.110-1
Date: Fri, 24 Oct 2003 02:18:31 -0400
Source: webmin
Source-Version: 1.110-1

We believe that the bug you reported is fixed in the latest version of
webmin, which is due to be installed in the Debian FTP archive:

webmin-core_1.110-1_all.deb
  to pool/main/w/webmin/webmin-core_1.110-1_all.deb
webmin_1.110-1.diff.gz
  to pool/main/w/webmin/webmin_1.110-1.diff.gz
webmin_1.110-1.dsc
  to pool/main/w/webmin/webmin_1.110-1.dsc
webmin_1.110-1_all.deb
  to pool/main/w/webmin/webmin_1.110-1_all.deb
webmin_1.110.orig.tar.gz
  to pool/main/w/webmin/webmin_1.110.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 212895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaldhar H. Vyas <jaldhar@debian.org> (supplier of updated webmin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 24 Oct 2003 05:49:33 +0000
Source: webmin
Binary: webmin-core webmin
Architecture: source all
Version: 1.110-1
Distribution: unstable
Urgency: low
Maintainer: Jaldhar H. Vyas <jaldhar@debian.org>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 webmin     - Web-based administration toolkit
 webmin-core - core modules for webmin
Closes: 208917 212690 212691 212895 213771 214063
Changes: 
 webmin (1.110-1) unstable; urgency=low
 .
   * New upstream version (Closes: #212691)
   * New source package as part of the grand restructuring in bug #206682
     contains webmin and webmin-core.
   * webmin: Replaced official logo with open logo in Debian theme until
     the whole dumb situation is resolved.  (Closes: #212895)
   * webmin: Overhauled update-webmin to properly add and remove modules
     (Closes: #214063)
   * webmin: removed the bits that let you upgrade modules.  These packages
     are perfect so why would you need an outside source anyway? :-)  But
     seriously, .wbms and .debs don't mix well so let's not encourage it.
     (Closes: #208917)
   * webmin-core: now includes the raid module ending that unsightly
     dependency loop.
   * webmin-core: Suggests webmin-lvm to enable logical volume features
     in raid module. (Closes: #213771)
   * webmin-core: Suggests raidtools for raid module.  Not depends because
     not everyone uses RAID.  (Closes: #212690)
Files: 
 94863e50133283aeb4febad341c1c6a0 597 admin optional webmin_1.110-1.dsc
 071a748d2ada938e4bf1add8d334b7d8 2262583 admin optional webmin_1.110.orig.tar.gz
 247c2b97e208efb79371e0aa5011363d 21121 admin optional webmin_1.110-1.diff.gz
 d163acd93a3957a672fdb27111a01ffc 1002206 admin optional webmin_1.110-1_all.deb
 5f1dc8869b3e74f4662342cd5a45cbbc 1016642 admin optional webmin-core_1.110-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/mL772kYOR+5txmoRAuXeAJ0WnpcwWe6cpjmoyvtBjcfGOZf+igCfXbMy
zcUOnB/fIsOxAqsDNxde13I=
=tAUh
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:56:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.